Subject: [cuirass] Feature request: Compare evaluations in the web interface

From: Leo Famulari <[email-masked]>
Date: Thu, 2 Dec 2021 16:44:17 -0500

As Mark mentioned recently in #33362 [0], the Cuirass web interface is
still missing an important feature compared to Hyrda:

"[...] the ability to compare the results of two evaluations
and show the *differences* between those results, i.e. to enumerate the
newly failing jobs, the newly succeeding jobs, and the newly aborted
jobs."

I remember using this capability in Hydra and it made the branching
workflow much more efficient than is currently possible.

[0]
https://issues.guix.gnu.org/33362#11